Bug 975674 - SELinux is preventing /usr/bin/gxine from 'read' accesses on the directory /usr/lib64/games.
SELinux is preventing /usr/bin/gxine from 'read' accesses on the directory /u...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c6f72443bcd02881cb3ebae66f2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 02:07 EDT by david sutherland
Modified: 2013-06-19 02:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-19 02:44:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david sutherland 2013-06-19 02:07:13 EDT
Description of problem:
SELinux is preventing /usr/bin/gxine from 'read' accesses on the directory /usr/lib64/games.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that gxine should be allowed read access on the games directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep pool /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:games_exec_t:s0
Target Objects                /usr/lib64/games [ dir ]
Source                        pool
Source Path                   /usr/bin/gxine
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gxine-0.5.907-7.fc18.x86_64
Target RPM Packages           filesystem-3.1-2.fc18.x86_64
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.5-201.fc18.x86_64 #1 SMP Tue
                              Jun 11 19:40:51 UTC 2013 x86_64 x86_64
Alert Count                   11
First Seen                    2013-05-04 00:07:35 PDT
Last Seen                     2013-06-17 18:44:44 PDT
Local ID                      fead798f-7a9a-4452-872f-7d2796f8c4f6

Raw Audit Messages
type=AVC msg=audit(1371519884.447:615): avc:  denied  { read } for  pid=32076 comm="pool" name="games" dev="md127" ino=391719 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:games_exec_t:s0 tclass=dir


type=SYSCALL msg=audit(1371519884.447:615): arch=x86_64 syscall=open success=no exit=EACCES a0=7f7560087e30 a1=40000 a2=0 a3=19 items=0 ppid=1 pid=32076 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=pool exe=/usr/bin/gxine subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: pool,mozilla_plugin_t,games_exec_t,dir,read

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t games_exec_t:dir read;

audit2allow -R
require {
	type games_exec_t;
	type mozilla_plugin_t;
	class dir read;
}

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t games_exec_t:dir read;


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.5-201.fc18.x86_64
type:           libreport

Potential duplicate: bug 847034
Comment 1 Miroslav Grepl 2013-06-19 02:44:26 EDT
If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do

# setsebool unconfined_mozilla_plugin_transition 0

Note You need to log in before you can comment on or make changes to this bug.